<?php
	
class Soliloquy_Pinterest_Admin_Common{
    /**
     * Holds the class object.
     *
     * @since 2.2.0
     *
     * @var object
     */
    public static $instance;

    /**
     * Path to the file.
     *
     * @since 2.2.0
     *
     * @var string
     */
    public $file = __FILE__;

    /**
     * Holds the base class object.
     *
     * @since 2.2.0
     *
     * @var object
     */
    public $base;

    /**
     * Primary class constructor.
     *
     * @since 2.2.0
     */		
	function __construct(){
		
		$this->base = Soliloquy_Pinterest::get_instance();
		
	}
	
	/**
	 * Returns the available Pinterest positions on the slider.
	 *
	 * @since 1.0.0
	 *
	 * @return array Array of Pinterest positions.
	 */
	function pinterest_positions() {
	
	    $positions = array(
	        array(
	            'value' => 'top_left',
	            'name'  => __( 'Top Left', 'soliloquy-pinterest' )
	        ),
	        array(
	            'value' => 'top_right',
	            'name'  => __( 'Top Right', 'soliloquy-pinterest' )
	        ),
	        array(
	            'value' => 'bottom_left',
	            'name'  => __( 'Bottom Left', 'soliloquy-pinterest' )
	        ),
	        array(
	            'value' => 'bottom_right',
	            'name'  => __( 'Bottom Right', 'soliloquy-pinterest' )
	        )
	    );
	
	    return apply_filters( 'soliloquy_pinterest_positions', $positions );
	
	}
	
	/**
	 * Returns the available Pinterest colors.
	 *
	 * @since 1.0.0
	 *
	 * @return array Array of Pinterest colors.
	 */
	function pinterest_colors() {
	
	    $colors = array(
	        array(
	            'value' => 'gray',
	            'name'  => __( 'Gray', 'soliloquy-pinterest' )
	        ),
	        array(
	            'value' => 'red',
	            'name'  => __( 'Red', 'soliloquy-pinterest' )
	        ),
	        array(
	            'value' => 'white',
	            'name'  => __( 'White', 'soliloquy-pinterest' )
	        )
	    );
	
	    return apply_filters( 'soliloquy_pinterest_colors', $colors );
	
	}
	
    /**
     * Returns the singleton instance of the class.
     *
     * @since 2.2.0
     *
     * @return object The Soliloquy_Thumbnails_Shortcode object.
     */
    public static function get_instance() {

        if ( ! isset( self::$instance ) && ! ( self::$instance instanceof Soliloquy_Pinterest_Admin_Common ) ) {
            self::$instance = new Soliloquy_Pinterest_Admin_Common();
        }

        return self::$instance;

    }	
    	
}

$soliloquy_pinterest_admin_common = Soliloquy_Pinterest_Admin_Common::get_instance();